function setScalePointModels(pmdirectory)
prompt={'Enter the scale:'};
name='Scale Editor';
numlines=1;
defaultanswer={'1'};
answer=inputdlg(prompt,name,numlines,defaultanswer);
if isempty(answer)
    fprintf('\t- user clicked cancel, leaving scalePointModels\n');
    return;
end
scale = answer{1};
scale = str2double(scale);
d = dir([pmdirectory, filesep, '*_pm.mat']);
str = {d.name};
[s,v] = listdlg('PromptString', 'Select PM files:', 'SelectionMode','multiple', 'ListString',str, 'ListSize', [300, 300]);
if isempty(s)
 	fprintf('\t- user clicked cancel, leaving scalePointModels\n');
    return;
end
% for each of the files we have selected, add a scale term to the data
% structure.
for i=s
    file = [pmdirectory, filesep, str{i}];
    pts = load(file);
    pts = pts.pts;
    save(file, 'pts', 'scale');
end
return